Skip to main content
POST
/
clients
/
connect
Connects a client
curl --request POST \
  --url https://vouchers.api.jtl-software.com/v1/clients/connect \
  --header 'Content-Type: application/json' \
  --data '
{
  "pin": "X53HI0"
}
'
{
  "id": "da39a3ee5eb28b7392ef5",
  "client_group_id": "cff8784e5eb28b81ca02a",
  "name": "Test-Client",
  "secret": "VrhgrKVDTqjg1GVr3R6Juvx7FfHQK7Psim7ORAXm",
  "scopes": [],
  "created_at": "2017-07-21T17:32:28+00:00",
  "updated_at": "2017-07-21T17:32:28+00:00",
  "connected_at": "2017-07-21T17:32:28+00:00",
  "type": "pos"
}

Body

application/json

Client connect request body

pin
string
required

Previously temporarily issued PIN from the Voucher Admin UI (30 minutes validity)

Maximum string length: 255
Example:

"X53HI0"

Response

OK

id
string
read-only

Primary identification key - will be used in client calls

Example:

"da39a3ee5eb28b7392ef5"

client_group_id
string

Primary identification key from the selected group (id)

Example:

"cff8784e5eb28b81ca02a"

name
string

Naming or description of the client

Maximum string length: 255
Example:

"Test-Client"

secret
string

secret

Maximum string length: 255
Example:

"VrhgrKVDTqjg1GVr3R6Juvx7FfHQK7Psim7ORAXm"

scopes
enum<string>[]
Available options:
can_use,
can_manage
created_at
string<RFC3339>
read-only

created_at - datetime in RFC3339 format, see https://tools.ietf.org/html/rfc3339

Example:

"2017-07-21T17:32:28+00:00"

updated_at
string<RFC3339>
read-only

updated_at - datetime in RFC3339 format, see https://tools.ietf.org/html/rfc3339

Example:

"2017-07-21T17:32:28+00:00"

connected_at
string<RFC3339>
read-only

connected_at - datetime in RFC3339 format, see https://tools.ietf.org/html/rfc3339

Example:

"2017-07-21T17:32:28+00:00"

type
string
read-only

The type of this client

Example:

"pos"